Skip to main content
GET
/
v1
/
management
/
connections
/
unassigned
List unassigned connections
curl --request GET \
  --url https://reporter.sandbox.lerian.net/v1/management/connections/unassigned
import requests

url = "https://reporter.sandbox.lerian.net/v1/management/connections/unassigned"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://reporter.sandbox.lerian.net/v1/management/connections/unassigned', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "page": 1, "limit": 50, "total": 1, "items": [ { "id": "019996b8-f3d1-7d2b-a192-6e91464d82fc", "configName": "legacy-transactional-db", "productName": "", "type": "POSTGRESQL", "host": "postgres.cliente.com.br", "port": 5432, "databaseName": "transaction", "userName": "user_legacy_read", "schema": "public", "ssl": { "mode": "require" }, "metadata": {}, "createdAt": "2025-09-25T10:30:00Z", "updatedAt": "2025-09-25T10:30:00Z" } ] }

Headers

Authorization
string

The authorization token in the Bearer <token> format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

Example:

"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Query Parameters

page
integer
default:1

The page number to retrieve (1-indexed).

Required range: x >= 1
Example:

1

limit
integer
default:10

Maximum number of items returned per page (max 1000). Defaults to 10 when omitted.

Required range: 1 <= x <= 1000
Example:

10

sortOrder
enum<string>
default:desc

The order used to sort the results.

Available options:
asc,
desc
Example:

"desc"

Response

The list of connections that have no product assigned.

Paginated list of connections.

page
integer
required

Current page number in the paginated results (1-indexed).

Example:

1

limit
integer
required

Maximum number of items returned per page.

Example:

50

total
integer
required

Total count of items available across all pages.

Example:

3

items
object[]
required

Array containing the connections for the current page.

Maximum array length: 100